Announcing Atlassian Plugin SDK 6.3.12

release
server
announcement

#1

Hi Everyone,

The latest version of the Atlassian Plugin SDK is now available on the Atlassian Marketplace . So please feel free to update at your convenience.

This version includes AMPS 6.3.21.

You can find the release notes in Atlassian Marketplace.

APT-Get users please remember that after our recent changes to the way sdkrepo is hosted you will no longer be able to update using the apt-get tool. You should uninstall your Atlassian Plugin SDK using apt-get and then re-install the latest version using the instructions found in the documentation: Install the Atlassian SDK on a Linux or Mac system


#2

It looks like the release notes need updating:

These supported versions don’t look right:

Version 6.3.12 • Jira Server 7.0.0 - 7.6.1,
Confluence Server 5.9.1 - 6.6.0,

Either that, or developing for more recent versions of Jira and Confluence Server is not supported. Hopefully this is just a typo.

Also, please fix this for all the previous versions of the SDK. Is there a compatibility matrix somewhere?